rte_swx_table_entry(3)

NAME
rte_swx_table_entry

SYNOPSIS

#include <rte_swx_table.h>

  Public Member Functions

RTE_TAILQ_ENTRY (rte_swx_table_entry) node

  Data Fields

uint8_t * key
uint8_t * key_mask
uint64_t key_signature
uint32_t key_priority
uint64_t action_id
uint8_t * action_data

Detailed Description

Table entry.

Definition at line 72 of file rte_swx_table.h.

Member Function Documentation

  RTE_TAILQ_ENTRY (rte_swx_table_entry )
Used to facilitate the membership of this table entry to a linked list.

Field Documentation

  uint8_t* key
Key value for the current entry. Array of key_size bytes or NULL if the key_size for the current table is 0.

Definition at line 81 of file rte_swx_table.h.

  uint8_t* key_mask
Key mask for the current entry. Array of key_size bytes that is logically and'ed with key_mask0 of the current table. A NULL value means that all the key bits already enabled by key_mask0 are part of the key of the current entry.

Definition at line 88 of file rte_swx_table.h.

  uint64_t key_signature
Placeholder for a possible compressed version of the key and key_mask of the current entry. Typically a hash signature, its main purpose is to the linked list search operation. Should be ignored by the API functions below.

Definition at line 95 of file rte_swx_table.h.

  uint32_t key_priority
Key priority for the current entry. Useful for wildcard match (as match rules are commonly overlapping with other rules), ignored for exact match (as match rules never overlap, hence all rules have the same match priority) and for LPM (match priority is driven by the prefix length, with non-overlapping prefixes essentially having the same match priority). Value 0 indicates the highest match priority.

Definition at line 104 of file rte_swx_table.h.

  uint64_t action_id
Action ID for the current entry.

Definition at line 107 of file rte_swx_table.h.

  uint8_t* action_data
Action data for the current entry. Considering S as the action data size of the action_id action, which must be less than or equal to the table action_data_size, the action_data field must point to an array of S bytes when S is non-zero. The action_data field is ignored when S is zero.

Definition at line 115 of file rte_swx_table.h.

Author

Generated automatically by Doxygen for DPDK from the source code.